> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List warranties

> List warranties

### Query parameters

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

<ParamField query="status" type="string" />

<ParamField query="customer_id" type="string" />

### Responses

<ResponseField name="200" type="WarrantyListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/warranties' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "total": 1,
    "warranties": [
      {
        "created_at": "string",
        "id": "string",
        "order_id": "string",
        "product_id": "string",
        "status": "string",
        "warranty_number": "string",
        "warranty_type": "string"
      }
    ]
  }
  ```
</ResponseExample>
